<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerSymptoms/States/Primary/CoughState.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d52/_cough_state_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CoughState.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d52/_cough_state_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>CoughSymptom <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/db3/class_symptom_base.html">SymptomBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a263a392b79f15373f03a1841762c6567">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> COUGH_BLOOD_LOSS = 50;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <span class="comment">//this is just for the Symptom parameters set-up and is called even if the Symptom doesn&#39;t execute, don&#39;t put any gameplay code in here</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a4cc5d3ac596a99c648338d125d8a69e7">    5</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a4cc5d3ac596a99c648338d125d8a69e7">OnInit</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../d9/dbc/_smpt_anim_meta_8c.html#a3f4dffa0b222839b13a5e662516e6022">m_SymptomType</a> = <a class="code hl_enumeration" href="../../db/d8d/_state_manager_8c.html#a84def72c3d57c1a4612870b946745b74">SymptomTypes</a>.PRIMARY;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#a377da45434051ad75ffd2b80f36463a1">m_Priority</a> = 100;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a> = SymptomIDs.SYMPTOM_COUGH;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        m_DestroyOnAnimFinish = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        m_SyncToClient = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#ae5cf784779c84f51502f942083bc9d98">   14</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#ae5cf784779c84f51502f942083bc9d98">IsContaminationActive</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetModifiersManager().IsModifierActive(<a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_CONTAMINATION2) || <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetModifiersManager().IsModifierActive(<a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_CONTAMINATION3);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#accf5726d15c5312e8636b29fcf54374f">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#accf5726d15c5312e8636b29fcf54374f">OnUpdateServer</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltatime)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#aafa81471dabb40ce9b1a9b9c17f0d332">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#aafa81471dabb40ce9b1a9b9c17f0d332">OnUpdateClient</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltatime)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a2f1beb697d3000f878c2d9a3cb22c376">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a2f1beb697d3000f878c2d9a3cb22c376">OnAnimationStart</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#ae5cf784779c84f51502f942083bc9d98">IsContaminationActive</a>() )</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <a class="code hl_function" href="../../d5/d6f/_plugin_lifespan_8c.html#a40fcf4bf90c76d2b2293d34e798bc531">PluginLifespan</a> module_lifespan = <a class="code hl_function" href="../../d5/d6f/_plugin_lifespan_8c.html#a40fcf4bf90c76d2b2293d34e798bc531">PluginLifespan</a>.Cast( <a class="code hl_function" href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a>( <a class="code hl_function" href="../../d5/d6f/_plugin_lifespan_8c.html#a40fcf4bf90c76d2b2293d34e798bc531">PluginLifespan</a> ) );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            module_lifespan.UpdateBloodyHandsVisibilityEx( <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>, <a class="code hl_enumeration" href="../../d5/d6f/_plugin_lifespan_8c.html#a452143ae61053ceffd36d5a561f946e7">eBloodyHandsTypes</a>.JUST_BLOOD );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a3edc0bc4afdb29818d3994fe556b23da">   40</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d4/d01/class_smpt_anim_meta_base.html">SmptAnimMetaBase</a> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a3edc0bc4afdb29818d3994fe556b23da">SpawnAnimMetaObject</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code hl_class" href="../../d9/d71/class_smpt_anim_meta_a_d_d.html">SmptAnimMetaADD</a>();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a781c9e008f323604356e716615648b0a">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a781c9e008f323604356e716615648b0a">OnGetActivatedServer</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a30d63017a9f01517dc55d70e098b89b8">m_Manager</a>.GetCurrentCommandID() == <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.COMMANDID_MOVE &amp;&amp; !player.IsRaised() &amp;&amp; player.GetCommand_Move() &amp;&amp; player.GetCommand_Move() &amp;&amp; !player.GetCommand_Move().IsOnBack())</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a645064eb217386eb0071cad776258b94">PlayAnimationADD</a>(1);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <a class="code hl_function" href="../../d8/d9b/_hunger_sound_handler_8c.html#a37a72bb98e9ec48f9c2e65feae17943d">PlaySound</a>(<a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>.SYMPTOM_COUGH);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        player.SpreadAgentsEx(3);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#ae5cf784779c84f51502f942083bc9d98">IsContaminationActive</a>() )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            player.AddHealth(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;Blood&quot;</span>, -COUGH_BLOOD_LOSS);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a22a942b2a49f5350e707dcc349c95f51">   63</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a22a942b2a49f5350e707dcc349c95f51">OnGetActivatedClient</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="comment">//if (LogManager.IsSymptomLogEnable()) Debug.SymptomLog(&quot;n/a&quot;, this.ToString(), &quot;n/a&quot;, &quot;OnGetActivated&quot;, m_Player.ToString());</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#a89112a382a37ed13911fda72393fcd11">   69</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#a89112a382a37ed13911fda72393fcd11">OnGetDeactivatedServer</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="comment">//if (LogManager.IsSymptomLogEnable()) Debug.SymptomLog(&quot;n/a&quot;, this.ToString(), &quot;n/a&quot;, &quot;OnGetDeactivated&quot;, m_Player.ToString());</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d9/db3/class_symptom_base.html#ad9896641cd17395bd0da1ac296e0e3d2">   75</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/db3/class_symptom_base.html#ad9896641cd17395bd0da1ac296e0e3d2">OnGetDeactivatedClient</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="comment">//if (LogManager.IsSymptomLogEnable()) Debug.SymptomLog(&quot;n/a&quot;, this.ToString(), &quot;n/a&quot;, &quot;OnGetDeactivated&quot;, m_Player.ToString());</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>}</div>
<div class="ttc" id="a_bios_lobby_service_8c_html_a377da45434051ad75ffd2b80f36463a1"><div class="ttname"><a href="../../db/de7/_bios_lobby_service_8c.html#a377da45434051ad75ffd2b80f36463a1">m_Priority</a></div><div class="ttdeci">int m_Priority</div><div class="ttdef"><b>Definition:</b> <a href="../../db/de7/_bios_lobby_service_8c_source.html#l00033">BiosLobbyService.c:33</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_hunger_sound_handler_8c_html_a37a72bb98e9ec48f9c2e65feae17943d"><div class="ttname"><a href="../../d8/d9b/_hunger_sound_handler_8c.html#a37a72bb98e9ec48f9c2e65feae17943d">PlaySound</a></div><div class="ttdeci">void PlaySound()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/_hunger_sound_handler_8c_source.html#l00038">HungerSoundHandler.c:38</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a30d63017a9f01517dc55d70e098b89b8"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a30d63017a9f01517dc55d70e098b89b8">m_Manager</a></div><div class="ttdeci">ModifiersManager m_Manager</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00012">ModifierBase.c:12</a></div></div>
<div class="ttc" id="a_player_sound_event_handler_8c_html_ae40d08748e52403c01d49f8987673c88"><div class="ttname"><a href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a></div><div class="ttdeci">EPlayerSoundEventID</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00001">PlayerSoundEventHandler.c:2</a></div></div>
<div class="ttc" id="a_plugin_lifespan_8c_html_a40fcf4bf90c76d2b2293d34e798bc531"><div class="ttname"><a href="../../d5/d6f/_plugin_lifespan_8c.html#a40fcf4bf90c76d2b2293d34e798bc531">PluginLifespan</a></div><div class="ttdeci">void PluginLifespan()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6f/_plugin_lifespan_8c_source.html#l00045">PluginLifespan.c:45</a></div></div>
<div class="ttc" id="a_plugin_lifespan_8c_html_a452143ae61053ceffd36d5a561f946e7"><div class="ttname"><a href="../../d5/d6f/_plugin_lifespan_8c.html#a452143ae61053ceffd36d5a561f946e7">eBloodyHandsTypes</a></div><div class="ttdeci">eBloodyHandsTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6f/_plugin_lifespan_8c_source.html#l00008">PluginLifespan.c:9</a></div></div>
<div class="ttc" id="a_plugin_manager_8c_html_a35050f82bea320b7a5336fc549630eaf"><div class="ttname"><a href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a></div><div class="ttdeci">PluginBase GetPlugin(typename plugin_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5d/_plugin_manager_8c_source.html#l00314">PluginManager.c:314</a></div></div>
<div class="ttc" id="a_smpt_anim_meta_8c_html_a3f4dffa0b222839b13a5e662516e6022"><div class="ttname"><a href="../../d9/dbc/_smpt_anim_meta_8c.html#a3f4dffa0b222839b13a5e662516e6022">m_SymptomType</a></div><div class="ttdeci">int m_SymptomType</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00013">SmptAnimMeta.c:13</a></div></div>
<div class="ttc" id="a_state_manager_8c_html_a84def72c3d57c1a4612870b946745b74"><div class="ttname"><a href="../../db/d8d/_state_manager_8c.html#a84def72c3d57c1a4612870b946745b74">SymptomTypes</a></div><div class="ttdeci">SymptomTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d8d/_state_manager_8c_source.html#l00025">StateManager.c:26</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_smpt_anim_meta_a_d_d_html"><div class="ttname"><a href="../../d9/d71/class_smpt_anim_meta_a_d_d.html">SmptAnimMetaADD</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00192">SmptAnimMeta.c:193</a></div></div>
<div class="ttc" id="aclass_smpt_anim_meta_base_html"><div class="ttname"><a href="../../d4/d01/class_smpt_anim_meta_base.html">SmptAnimMetaBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00081">SmptAnimMeta.c:82</a></div></div>
<div class="ttc" id="aclass_symptom_base_html"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html">SymptomBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da3/_state_base_8c_source.html#l00001">StateBase.c:2</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a22a942b2a49f5350e707dcc349c95f51"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a22a942b2a49f5350e707dcc349c95f51">SymptomBase::OnGetActivatedClient</a></div><div class="ttdeci">override void OnGetActivatedClient(PlayerBase player)</div><div class="ttdoc">gets called once on a Symptom which is being activated</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_cough_state_8c_source.html#l00063">CoughState.c:63</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a2f1beb697d3000f878c2d9a3cb22c376"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a2f1beb697d3000f878c2d9a3cb22c376">SymptomBase::OnAnimationStart</a></div><div class="ttdeci">override void OnAnimationStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_cough_state_8c_source.html#l00030">CoughState.c:30</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a3edc0bc4afdb29818d3994fe556b23da"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a3edc0bc4afdb29818d3994fe556b23da">SymptomBase::SpawnAnimMetaObject</a></div><div class="ttdeci">override SmptAnimMetaBase SpawnAnimMetaObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_cough_state_8c_source.html#l00040">CoughState.c:40</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a4cc5d3ac596a99c648338d125d8a69e7"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a4cc5d3ac596a99c648338d125d8a69e7">SymptomBase::OnInit</a></div><div class="ttdeci">override void OnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_cough_state_8c_source.html#l00005">CoughState.c:5</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a645064eb217386eb0071cad776258b94"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a645064eb217386eb0071cad776258b94">SymptomBase::PlayAnimationADD</a></div><div class="ttdeci">void PlayAnimationADD(int type)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da3/_state_base_8c_source.html#l00240">StateBase.c:240</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a781c9e008f323604356e716615648b0a"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a781c9e008f323604356e716615648b0a">SymptomBase::OnGetActivatedServer</a></div><div class="ttdeci">override void OnGetActivatedServer(PlayerBase player)</div><div class="ttdoc">gets called once on an Symptom which is being activated</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_cough_state_8c_source.html#l00046">CoughState.c:46</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_a89112a382a37ed13911fda72393fcd11"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#a89112a382a37ed13911fda72393fcd11">SymptomBase::OnGetDeactivatedServer</a></div><div class="ttdeci">override void OnGetDeactivatedServer(PlayerBase player)</div><div class="ttdoc">only gets called once on an active Symptom that is being deactivated</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_cough_state_8c_source.html#l00069">CoughState.c:69</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_aafa81471dabb40ce9b1a9b9c17f0d332"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#aafa81471dabb40ce9b1a9b9c17f0d332">SymptomBase::OnUpdateClient</a></div><div class="ttdeci">override void OnUpdateClient(PlayerBase player, float deltatime)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_cough_state_8c_source.html#l00026">CoughState.c:26</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_accf5726d15c5312e8636b29fcf54374f"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#accf5726d15c5312e8636b29fcf54374f">SymptomBase::OnUpdateServer</a></div><div class="ttdeci">override void OnUpdateServer(PlayerBase player, float deltatime)</div><div class="ttdoc">gets called every frame</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_cough_state_8c_source.html#l00021">CoughState.c:21</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_ad9896641cd17395bd0da1ac296e0e3d2"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#ad9896641cd17395bd0da1ac296e0e3d2">SymptomBase::OnGetDeactivatedClient</a></div><div class="ttdeci">override void OnGetDeactivatedClient(PlayerBase player)</div><div class="ttdoc">only gets called once on an active Symptom that is being deactivated</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_cough_state_8c_source.html#l00075">CoughState.c:75</a></div></div>
<div class="ttc" id="aclass_symptom_base_html_ae5cf784779c84f51502f942083bc9d98"><div class="ttname"><a href="../../d9/db3/class_symptom_base.html#ae5cf784779c84f51502f942083bc9d98">SymptomBase::IsContaminationActive</a></div><div class="ttdeci">bool IsContaminationActive()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_cough_state_8c_source.html#l00014">CoughState.c:14</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_e94b680269169ad2f35011224aeeda21.html">PlayerSymptoms</a></li><li class="navelem"><a class="el" href="../../dir_fb2fe037783215438a313996a97cfe9f.html">States</a></li><li class="navelem"><a class="el" href="../../dir_52bb7343337106e2e5b63d9a9f630ad8.html">Primary</a></li><li class="navelem"><a class="el" href="../../d6/d52/_cough_state_8c.html">CoughState.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
